# show_nm_state - Show the state of the NetworkManager daemon
#
# Author: Alejandro J. Cura <alecu@canonical.com>
#
# Copyright 2010 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.
"""A test program that just shows the network state."""

import gobject

from dbus.mainloop.glib import DBusGMainLoop

from ubuntu_sso.networkstate import NetworkManagerState, nm_state_names

DBusGMainLoop(set_as_default=True)
loop = gobject.MainLoop()


def got_state(state):
    """Called when the network state is found."""
    try:
        print nm_state_names[state]
    finally:
        loop.quit()

nms = NetworkManagerState(got_state)
nms.find_online_state()
loop.run()
